### Method

# Gimp PDB run_procedure_valist

#### Declaration [src]

    GimpValueArray*
    gimp_pdb_run_procedure_valist (
      GimpPDB* pdb,
      const gchar* procedure_name,
      GType first_type,
      va_list args
    )

#### Description [src]

Runs the procedure named `procedure_name` with `args` given in the order as passed to `gimp_pdb_run_procedure()`.

Available since: | 3.0
This method is not directly available to language bindings.

#### Parameters

`procedure_name` | `const gchar*`
| The procedure registered name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`first_type` | `GType`
| The `GType` of the first argument, or #G_TYPE_NONE.
`args` | `va_list`
| The call arguments.

#### Return value

Returns: | `GimpValueArray`
| The return values for the procedure call.
| The caller of the method takes ownership of the data, and is responsible for freeing it.